%global oname pbs

Name:           python-sh
License:        MIT
Group:          Development/Libraries
Summary:        Python module to simplify calling shell commands
Version:        0.105
Release:        1%{?dist}
URL:            https://github.com/amoffat/pbs/
Source:         http://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# Another pkg with same Python import name. Ensure there is no confusion.
Conflicts:      python-pbs

%description
A Python module to simplify calling shell commands.
Also known as PBS, or Python Bash Scripting.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Allow sh and pbs to be used interchangeably. sh is the long-term
# name of this software but upstream is still transitioning from old
# pbs name.
ln -s %{python_sitelib}/pbs.py %{buildroot}%{python_sitelib}/sh.py
ln -s %{python_sitelib}/pbs.pyc %{buildroot}%{python_sitelib}/sh.pyc
ln -s %{python_sitelib}/pbs.pyo %{buildroot}%{python_sitelib}/sh.pyo

%check
python setup.py test

%files
%{python_sitelib}/*
%doc AUTHORS.md README.md LICENSE.txt

%changelog
* Fri May 4 2012 Andy Grover <agrover@redhat.com> - 0.105-1
- New upstream release

* Thu Mar 22 2012 Andy Grover <agrover@redhat.com> - 0.95-2
- Initial packaging
